- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
List of all members
qi::Signal< void > Class Template Reference

`#include <signal.hpp>`

## Additional Inherited Members
Public Types inherited from qi::Signal<>
typedef void( | FunctionType )(P...)
using | ParentType = SignalF< FunctionType >
using | OnSubscribers = typename ParentType::OnSubscribers
Public Types inherited from qi::SignalF< void(P...)>
using | FunctionType = void(P...)
Public Types inherited from qi::SignalBase
using | OnSubscribers = boost::function< Future< void >(bool)>
Public Member Functions inherited from qi::Signal<>
| Signal (OnSubscribers onSubscribers=OnSubscribers())
| Signal (ExecutionContext *execContext, OnSubscribers onSubscribers=OnSubscribers())
Public Member Functions inherited from qi::SignalF< void(P...)>
| SignalF (OnSubscribers onSubscribers=OnSubscribers())
| SignalF (ExecutionContext *execContext, OnSubscribers onSubscribers)
virtual qi::Signature | signature () const
SignalSubscriber | connect (...)
Public Member Functions inherited from qi::SignalBase
| SignalBase (const Signature &signature, OnSubscribers onSubscribers=OnSubscribers())
| SignalBase (const Signature &signature, ExecutionContext *execContext, OnSubscribers onSubscribers=OnSubscribers())
| SignalBase (OnSubscribers onSubscribers=OnSubscribers())
| SignalBase (ExecutionContext *execContext, OnSubscribers onSubscribers=OnSubscribers())
| SignalBase (const SignalBase &)=delete
| SignalBase is not copyable, since subscriptions should not be duplicated. More...
SignalBase & | operator= (const SignalBase &)=delete
virtual | ~SignalBase ()
template<typename F >
SignalSubscriber | connect (boost::function< F > func)
SignalSubscriber | connect (AnyObject object, const unsigned int slot)
SignalSubscriber | connect (AnyObject object, const std::string &slot)
SignalSubscriber | connect (const SignalSubscriber &s)
| The following overloads are the lowest-level. More...
Future< SignalSubscriber > | connectAsync (const SignalSubscriber &)
bool | disconnectAll ()
Future< bool > | disconnectAllAsync ()
bool | asyncDisconnectAll ()
bool | disconnect (const SignalLink &link)
Future< bool > | disconnectAsync (const SignalLink &link)
bool | asyncDisconnect (const SignalLink &link)
virtual void | trigger (const GenericFunctionParameters &params, MetaCallType callType=MetaCallType_Auto)
void | setCallType (MetaCallType callType)
| Set the MetaCallType used by operator()(). More...
void | operator() (qi::AutoAnyReference p1=qi::AutoAnyReference(), qi::AutoAnyReference p2=qi::AutoAnyReference(), qi::AutoAnyReference p3=qi::AutoAnyReference(), qi::AutoAnyReference p4=qi::AutoAnyReference(), qi::AutoAnyReference p5=qi::AutoAnyReference(), qi::AutoAnyReference p6=qi::AutoAnyReference(), qi::AutoAnyReference p7=qi::AutoAnyReference(), qi::AutoAnyReference p8=qi::AutoAnyReference())
| Trigger the signal with given arguments, and call type set by setCallType() More...
std::vector< SignalSubscriber > | subscribers ()
bool | hasSubscribers ()
void | setOnSubscribers (OnSubscribers onSubscribers)
void | _setSignature (const Signature &s)
Static Public Attributes inherited from qi::SignalBase
static const SignalLink | invalidSignalLink
Protected Types inherited from qi::SignalBase
using | Trigger = boost::function< void(const GenericFunctionParameters &params, MetaCallType callType)>
Protected Member Functions inherited from qi::SignalBase
void | callSubscribers (const GenericFunctionParameters &params, MetaCallType callType=MetaCallType_Auto)
void | setTriggerOverride (Trigger trigger)
void | callOnSubscribe (bool v)
void | createNewTrackLink (int &id, SignalLink *&trackLink)
void | disconnectTrackLink (int id)
ExecutionContext * | executionContext () const
void | clearExecutionContext ()
Protected Attributes inherited from qi::SignalBase
boost::shared_ptr < SignalBasePrivate > | _p

## Detailed Description

### template<>
class qi::Signal< void >

Definition at line 251 of file signal.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/signal.hpp